---
title: HTMLHRElement
slug: Web/API/HTMLHRElement
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsNewLayout
  - Reference
---
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>

<p>The <strong><code>HTMLHRElement</code></strong> interface provides special properties (beyond those of the {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("hr")}} elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLHRElement.align")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}}, an enumerated attribute indicating alignment of the rule with respect to the surrounding context.</dd>

 <dt>{{domxref("HTMLHRElement.color")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the color of the rule.</dd>

 <dt>{{domxref("HTMLHRElement.noshade")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("Boolean")}} that sets the rule to have no shading.</dd>

 <dt>{{domxref("HTMLHRElement.size")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the height of the rule.</dd>

 <dt>{{domxref("HTMLHRElement.width")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the width of the rule on the page.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlhrelement", "HTMLHRElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>The <code>color</code> property has been added, as an obsolete property, to increase compatibility with the existing web.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "grouping-content.html#the-hr-element", "HTMLHRElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Following properties are now obsolete: <code>align</code>, <code>noshade</code>, <code>size</code>, and <code>width</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-68228811', 'HTMLHRElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-68228811', 'HTMLHRElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLHRElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("hr")}}</li>
</ul>
